Download the Updater Application.

You can download the Apec NT415 Updater Application here.

To be able to use the Updater Application, your PC or laptop must meet the following minimum requirements:

  • Operating System: Win98/NT, Win ME, Win2000, Win XP, VISTA and Windows 7.
  • CPU: Intel PIII or better
  • RAM: 64MB or better
  • Hard Disc Space: 30MB or better
  • Display 800x600 pixel, 16 byte true colour display or better
  • Internet Explorer 4.0 or newer


Note: Before updating, please make sure your network works correctly.


Updating the Apec NT415 EPB Tool.

The Apec NT415 can be updated to make sure you stay current with the latest developments. We have produced a walk-through of the update process which you can download here.